Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.el
Class ValueBinding

    java.lang.Object
      javax.faces.el.ValueBinding

public abstract class ValueBinding
extends java.lang.Object

Version:
  $Revision: 209822 $ $Date: 2005-07-08 11:51:26 -0400 (Fri, 08 Jul 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: grantsmith $)

Constructor Summary
`ValueBinding()`

Method Summary
`java.lang.String` | `getExpressionString()`
`abstract java.lang.Class` | `getType(FacesContext facesContext)`
`abstract java.lang.Object` | `getValue(FacesContext facesContext)`
`abstract boolean` | `isReadOnly(FacesContext facesContext)`
`abstract void` | `setValue(FacesContext facesContext, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueBinding

    public ValueBinding()

Method Detail

### getExpressionString

    public java.lang.String getExpressionString()

### getType

    public abstract java.lang.Class getType(FacesContext facesContext)
                                     throws EvaluationException,
                                            PropertyNotFoundException

  Throws:
    `EvaluationException`
    `PropertyNotFoundException`

### getValue

    public abstract java.lang.Object getValue(FacesContext facesContext)
                                       throws EvaluationException,
                                              PropertyNotFoundException

  Throws:
    `EvaluationException`
    `PropertyNotFoundException`

### isReadOnly

    public abstract boolean isReadOnly(FacesContext facesContext)
                                throws EvaluationException,
                                       PropertyNotFoundException

  Throws:
    `EvaluationException`
    `PropertyNotFoundException`

### setValue

    public abstract void setValue(FacesContext facesContext,
                                  java.lang.Object value)
                           throws EvaluationException,
                                  PropertyNotFoundException

  Throws:
    `EvaluationException`
    `PropertyNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD